<?php

namespace App\Http\Requests\Users;

use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            //
        ];
    }

    /**
    * Prepare the data for validation.
    *
    * @throws \JsonException
    *
    * @return void
    */
    protected function prepareForValidation(): void
    {
        // Use this if you want to have some JSON be converted from a string to an object(?)
        //$this->merge(json_decode($this->payload, true, 512, JSON_THROW_ON_ERROR));
    }
}
